<?php

namespace Teknisa\FIN\Modules\ContaReceber\Factory;

use \Teknisa\Model\Financeiro\Entities\GeralRec;
use Teknisa\Libs\Util\DateUtil;

class GeralRecTipoajreceberFactory{

    public function __construct(){}

    public function insereParametroContaReceber ($cdgeralrec, $idbloqincntr, $idtpcntrlib, $idutctrlcanremr,
                                                 $idbloqaltbolrec, $idutlnfdevolrec, $idutbcoprefclie,
                                                 $idextelacalajubx, $nrorg){
        $geralRec = new GeralRec();
        $geralRec->setNrorg($nrorg);
        $geralRec->setCdgeralrec($cdgeralrec);
        $geralRec->setIdbloqincntr($idbloqincntr);
        $geralRec->setIdtpcntrlib($idtpcntrlib);
        $geralRec->setIdutctrlcanremr($idutctrlcanremr);
        $geralRec->setIdbloqaltbolrec($idbloqaltbolrec);
        $geralRec->setIdutlnfdevolrec($idutlnfdevolrec);
        $geralRec->setIdutbcoprefclie($idutbcoprefclie);
        $geralRec->setIdextelacalajubx($idextelacalajubx);
        $geralRec->setDtinclusao(DateUtil::getDataAtual());
        $geralRec->setDtultatu(DateUtil::getDataAtual());
        $geralRec->setNrorginclusao($nrorg);
        $geralRec->setNrorgultatu($nrorg);
        return $geralRec;
    }


}